package com.hfkj.service;

import com.hfkj.entity.BsIndustry;

import java.util.List;
import java.util.Map;

/**
 * 行业
 * @author hurui
 */
public interface BsIndustryService {

    /**
     * 查询行业数据
     * @return
     */
    List<BsIndustry> getCacheIndustry();

    /**
     * 查询详情
     * @param id
     * @return
     */
    BsIndustry getDetailById(Long id);

    /**
     * 查询子行业
     * @param parentId  父级id
     * @return
     */
    List<BsIndustry> listChildIndustry(Long parentId);

    /**
     * 查询子行业数据
     * @param childId
     * @return
     */
    Map<String, BsIndustry> getChildIndustry(Long childId);

}
